function [TradeSpace] = CAPEX(tradespace)
%Function to estiamte the building cost as function of size, KW and engine
%option 

%Initillizing
capex=zeros(length(tradespace),1);
    
for i=1:length(tradespace)
    
    P=tradespace(i,6);
    
    if tradespace(i,5)==1 %HFO + Scrubber
        MachineryCost = 7850*P^(0.693)+28700*P^0.51;
    end
    if tradespace(i,5)==2 %Dual fuel MGO
        MachineryCost = 7850*P^(0.693)*1.4;
    end
     if tradespace(i,5)==3 %Dual fuel LNG
        MachineryCost = 7850*P^(0.693)*1.4 + 33300*P.^0.521;
     end
    
    BuildCost = tradespace(i,1)*0.007+15;
    
    capex(i) = MachineryCost*(1/1000000) + BuildCost; 
end

TradeSpace = [tradespace capex];
