function [FuelCost] = FuelCost(EpochSpace,TradeSpace,FuelCon)
%Calculates yearly fuel cost 
%   Detailed explanation goes here

FuelCost =zeros(length(EpochSpace),length(TradeSpace));

for i=1:length(EpochSpace)
    
    EcaShare = EpochSpace(i,6)/100;  
    HFOPrice = EpochSpace(i,3)*39.5;
    MGOPrice = EpochSpace(i,4)*38.9;
    LNGPrice = EpochSpace(i,5)*38;
    
    for j=1:length(TradeSpace)
        
        if TradeSpace(j,5) == 1 %Scrubber
            FuelCost(i,j) = FuelCon(i,j)*HFOPrice;       
            
        elseif TradeSpace(j,5) == 2 %MGO
            FuelCost(i,j) = (1-EcaShare)*HFOPrice*FuelCon(i,j)+(EcaShare*MGOPrice*FuelCon(i,j));            
            
        elseif TradeSpace(j,5) == 3 %LNG
            FuelCost(i,j) = (1-EcaShare)*HFOPrice*FuelCon(i,j)+(EcaShare*LNGPrice*FuelCon(i,j)); 
        
        end
    
    end
end

end 

