%This runs through the steps of the RSC method
clc
%% 
%Design space enumeration 
TradeSpace=tradespace();
%% 

%% 
%Estimate engine size as function of size and speed
TradeSpace=estimatekw(TradeSpace);
%% 

%% 
%Estimate CAPEX as function of capacity, installed power and engine
%configuration 
TradeSpace=CAPEX(TradeSpace);
%% 

%% 
%Estimate the daily non-fuel OPEX [USD/day]
TradeSpace=OPEX(TradeSpace); 
%% 

%% 
%Epoch space enumeration 
EpochSpace = epochs();
%% 

%% 
%Calcualte current feight level based on epoch varialbe 
EpochSpace = freightrates(EpochSpace);
%% 

%% 
%Liner company response
EpochSpace = liner(EpochSpace);
%% 

%% 
%Operational Profile 
[FuelCon,NoContainer,MCR,Penalty] = FuelCon(TradeSpace,EpochSpace); 

%% 
% Calculates yearly capital expenditures 
Capex = cost(TradeSpace,EpochSpace);
 
%% 
%Calcualtes yearly fuel cost
FuelCost = FuelCost(EpochSpace,TradeSpace,FuelCon);
 
%% 
%Calculate yearly unit transportation cost 
[UnitCost,FuelUnitCost,OpexUnitCost,CapexUnitCost,PenaltyCost] = UnitCost(EpochSpace,TradeSpace,FuelCost,Capex,NoContainer,Penalty);
 
%% 
%Calculates utility 
[Utility,CostUtility,UnitCost_min,UnitCost_max,FlexUtility,Draft] = Utility(UnitCost,TradeSpace,MCR);
 
%% 
%Calcualtes avreage utility with equal weight on all epochs 
TotalUtility=MultiEpoch(Utility);


%% 
%Generate the ERA space 
EraSpace=Era();

%% 
%Multi era analysis 
[EraUtility_trade1, EraUtility_trade2, EraUtility_trade3] = MultiEra(Utility,EraSpace); 
