function [UnitCost,FuelUnitCost,OpexUnitCost,CapexUnitCost,PenaltyCost]...
    = UnitCost(EpochSpace,TradeSpace,FuelCost,CAPEX,NoContainer,Penalty)
%Caluclates the unit transportaion cost [USD/TEU] on a yearly basis 

UnitCost=zeros(length(EpochSpace),length(TradeSpace));
FuelUnitCost=zeros(length(EpochSpace),length(TradeSpace));
OpexUnitCost=zeros(length(EpochSpace),length(TradeSpace));
CapexUnitCost=zeros(length(EpochSpace),length(TradeSpace));
PenaltyCost=zeros(length(EpochSpace),length(TradeSpace));

for i=1:length(EpochSpace)
    for j=1:length(TradeSpace)
      
        if TradeSpace(j,5) == 1 %Scrubber
            YearlyCost = CAPEX(j,1)*1000000+...
            TradeSpace(j,8)*365+FuelCost(i,j);
            FuelUnitCost(i,j) = (FuelCost(i,j)*1.005)...
            /NoContainer(i,j);
            OpexUnitCost(i,j) = ((TradeSpace(j,8)*365)*1.2)...
            /NoContainer(i,j);
            CapexUnitCost(i,j) = (CAPEX(j,1)*1000000)...
            /NoContainer(i,j);
            UnitCost(i,j) = FuelUnitCost(i,j)...
            + OpexUnitCost(i,j) + CapexUnitCost(i,j);      
            
        elseif TradeSpace(j,5) == 2 %MGO
            YearlyCost = CAPEX(j,1)*1000000+TradeSpace(j,8)...
            *365+FuelCost(i,j);
            FuelUnitCost(i,j) = FuelCost(i,j)/NoContainer(i,j);
            OpexUnitCost(i,j) = ((TradeSpace(j,8)*365))/...
            NoContainer(i,j);
            CapexUnitCost(i,j) = (CAPEX(j,1)*1000000)...
            /NoContainer(i,j);
            UnitCost(i,j) = FuelUnitCost(i,j) +...
            OpexUnitCost(i,j) + CapexUnitCost(i,j);         
            
        elseif TradeSpace(j,5) == 3 %LNG
            NoContainer = NoContainer*0.97; 
            YearlyCost = CAPEX(j,1)*1000000+TradeSpace(j,8)...
            *365+FuelCost(i,j);
            FuelUnitCost(i,j) = FuelCost(i,j)/NoContainer(i,j);
            OpexUnitCost(i,j) = ((TradeSpace(j,8)*365)*1.1)...
            /NoContainer(i,j);
            CapexUnitCost(i,j) = (CAPEX(j,1)*1000000)/...
            NoContainer(i,j);
            UnitCost(i,j) = FuelUnitCost(i,j) + OpexUnitCost(i,j)...
            + CapexUnitCost(i,j); 
        
        end
    end

end

