function [Utility,CostUtility,UnitCost_min,UnitCost_max,...
FlexUtility,Draft] = Utility(UnitCost,TradeSpace,MCR)
%Calculates the utility based on the design and epcoh variables

%Initilizing
[NoEpochs, NoDesign] = size(UnitCost);
CostUtility=zeros(NoEpochs,NoDesign);
UnitCost_min = zeros(NoEpochs,1);
UnitCost_max = zeros(NoEpochs,1);
Draft = zeros(NoDesign,1); 
FlexUtility=zeros(NoDesign,1);
Draft_min = 13; 
Draft_max = 16; 

Utility=zeros(NoEpochs,NoDesign);


for i=1:NoEpochs 
        UnitCost_min(i) = min(UnitCost(i,:));
        UnitCost_max(i) = max(UnitCost(i,:));

end

for k=1:NoDesign
    
    Draft(k) = -662*TradeSpace(k,1)^(-0.5686)+18;49;
    
    if Draft(k) > 16
        Draft(k)=16;
    end 
    if Draft(k) < 13
        Draft(k) = 13; 
    end 
end 

for i=1:NoEpochs
    for j=1:NoDesign
        
        CostUtility(i,j) = 1-((UnitCost(i,j)-UnitCost_min(i))...
        /(UnitCost_max(i)-UnitCost_min(i)));
        FlexUtility(j) = 1-((Draft(j)-Draft_min))...
        /(Draft_max - Draft_min);
        Utility(i,j) = 0.75*CostUtility(i,j)+0.25*FlexUtility(j); 
        if MCR(i,j) > 100
            Utility(i,j) = 0;
        end 

    end
end

end

