function [CAPEX1] = cost(TradeSpace,EpochSpace)
%Calcualtes the yearly cost for the Design and epoch combinations 

%Economic information: 
T_life = 25;
T_payback = 12;
%Risk adjusted discount rate:
r_discount = 0.1;

Cost=zeros(length(EpochSpace),length(TradeSpace));
CAPEX_equity = zeros(length(TradeSpace),1);
CAPEX_loan = zeros(length(TradeSpace),1);
CAPEX1 =  zeros(length(TradeSpace),T_life);
CAPEX=TradeSpace(:,7);
loan_remaining=zeros(1,length(TradeSpace));


for i=1:length(TradeSpace)
             
    CAPEX_equity(i) = 0.3*CAPEX(i);
	CAPEX_loan(i) = 0.7*CAPEX(i);
    loan_remaining(i) = CAPEX_loan(i);
    for t = 1:T_life
        %Calculating CAPEX paid per period as long as loan remains. 
        if t <= T_payback
            CAPEX1(i,t) = CAPEX_equity(i)/T_life + CAPEX_loan(i)/T_payback + r_discount*loan_remaining(i);
            loan_remaining(i) = loan_remaining(i) - (1/T_payback)*loan_remaining(i);
        %Calculating CAPEX paid per period when loan is repaid. 
        else
            CAPEX1(i,t) = CAPEX_equity(i)/T_life;
        end
    end
        
end
    
end





