function [TradeSpace] = estimatekw(tradespace)
%Function to estiamte the engine power as function of size and design
%speed. 

%Specific fuel consumption, 180 g/kWh
SFC=0.000180;

%Initillizing
dailyfuelcons=zeros(length(tradespace),1);
InstalledKW20=zeros(length(tradespace),1);
InstalledKW=zeros(length(tradespace),1);

for i=1:length(tradespace)
    dailyfuelcons(i) = 1.64*((tradespace(i,1)^0.48));
    InstalledKW20(i) = dailyfuelcons(i)/(SFC*24);
    InstalledKW(i) = (InstalledKW20(i)*((tradespace(i,4)/20)^3))/0.70;
end

TradeSpace = [tradespace InstalledKW];
