function [epochspace] = freightrates(EpochSpace)
%Calculates the freight level based on the economic situation and fleet
%growth 

MarketLevel = zeros(length(EpochSpace),1);

for i=1:length(EpochSpace)
    ContainerGrowth = EpochSpace(i,1)*EpochSpace(i,2);
    
    ChangeRate = 5.9 + 4.3*ContainerGrowth - 3.54*EpochSpace(i,8);
    if ChangeRate <= -5
        MarketLevel(i) = 1;
    elseif  ChangeRate > -5 && ChangeRate <= 10
            MarketLevel(i)=2;  
    elseif  ChangeRate > 10
            MarketLevel(i)=3;            
    end

end
epochspace = [EpochSpace MarketLevel];
end