function [epochspace] = liner( EpochSpace )
%Calcualtes liner companies response to epoch variables 

%Initlizing 
Speed = zeros(length(EpochSpace),1);
Capacity = zeros(length(EpochSpace),1);

for i=1:length(EpochSpace)
    if EpochSpace(i,9) == 1
        MarketNorm = 0;
    elseif EpochSpace(i,9) ==2 
        MarketNorm = 0.5;
    elseif EpochSpace(i,9) == 3
        MarketNorm = 1;  
    end
    
    if EpochSpace(i,7) == 12000
        LengthNorm = 1;
    elseif EpochSpace(i,7) == 7000
        LengthNorm = 0.5;   
    elseif EpochSpace(i,7) == 4000
        LengthNorm = 0;
    end
    
    if EpochSpace(i,3) == 3
        FPNorm = 1;  
    elseif EpochSpace(i,3) == 10
        FPNorm = 0.5;
    elseif EpochSpace(i,3) == 15
        FPNorm = 0;
    end
    
    Speed(i) = 15 + 3.3*MarketNorm + 3.3*LengthNorm - 3.3*FPNorm;
    Capacity(i) =  5000 + 7000*MarketNorm + 7000*LengthNorm + 7000*FPNorm;
    
end

epochspace = [EpochSpace Speed Capacity];