%% Import data from spreadsheet
% Script for importing data from the following spreadsheet:
%
%    Workbook: C:\Users\magnu\OneDrive\Dokumenter OneDrive\Skole\Masteroppgave\clarksons.xlsx
%    Worksheet: Sheet1
%
% To extend the code for use with different selected data or a different
% spreadsheet, generate a function instead of a script.

% Auto-generated by MATLAB on 2016/05/28 14:41:57

%% Import the data
[~, ~, raw] = xlsread('C:\Users\magnu\OneDrive\Dokumenter OneDrive\Skole\Masteroppgave\clarksons.xlsx','Sheet1','B2:F21');
raw(cellfun(@(x) ~isempty(x) && isnumeric(x) && isnan(x),raw)) = {''};

%% Replace non-numeric cells with NaN
R = cellfun(@(x) ~isnumeric(x) && ~islogical(x),raw); % Find non-numeric cells
raw(R) = {NaN}; % Replace non-numeric cells

%% Create output variable
clarksons = reshape([raw{:}],size(raw));

%% Clear temporary variables
clearvars raw R;

fleet_growth = clarksons(:,1);
timecharter_index = clarksons(:,2);
container_trade_yryr = clarksons(:,3);
seaborn_trade_tonne_miles = clarksons(:,4);
seaborne_container_million_TEU = clarksons(:,5);

charter_change = zeros(length(timecharter_index),1);
charter_change(1)=NaN;

for i=1:length(timecharter_index)-1
    charter_change(i+1) = ((timecharter_index(i+1)-timecharter_index(i))/timecharter_index(i))*100;
end

    
    
    
    
    