function [ DesignSpace ] = tradespace()

%%Function generates all feasible design based on input on design var
%% Import the data from excel spreadsheet 
[~, ~, raw] = xlsread('Designvar.xlsx','Sheet1','A4:C16');

% Matrix of capacity, length and breadth 
Cap = reshape([raw{:}],size(raw));

% Clear temporary variables
clearvars raw;

Speed = [15:1:25];

% Machinery configuration (1=HFO + Scrubber, 2 = dual fuel, 3 = dual fuel
% LNG]
Mach = [1:1:3];

%initializing
NoDesigns = length(Cap)*length(Speed)*length(Mach);
DesignSpace = zeros(NoDesigns,5);

%Define all possible combinations 
n=1;
 for i=1:length(Cap)
    for j=1:length(Speed)
        for k=1:length(Mach)
            DesignSpace(n,1)=Cap(i,1);
            DesignSpace(n,2)=Cap(i,2);
            DesignSpace(n,3)=Cap(i,3);
            DesignSpace(n,4)=Speed(j);
            DesignSpace(n,5)=Mach(k);
        end
    end
 end
    